
Name:	 	nas	
Summary:	The Network Audio System (NAS)
Version:	1.8
Release:	4%{?dist}

License:  	Distributable	
Group: 		Development/Libraries
URL:            http://nas.codebrilliance.com
Source0: 	http://nas.codebrilliance.com/nas/nas-%{version}.src.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        nasd.init
Source2:        nasd.sysconfig

BuildRequires: bison flex 
%if "%{?fedora}" > "4"
BuildRequires: imake
BuildRequires: libXaw-devel libXext-devel libXpm-devel libXp-devel libXt-devel
%else
BuildRequires: xorg-x11-devel
%endif

Requires(preun): chkconfig /sbin/service
Requires(post):  chkconfig


%description
In a nutshell, NAS is the audio equivalent of an X display  server.
The Network Audio System (NAS) was developed by NCD for playing,
recording, and manipulating audio data over a network.  Like the
X Window System, it uses the client/server model to separate
applications from the specific drivers that control audio input
and output devices.
Key features of the Network Audio System include:
	o  Device-independent audio over the network
	o  Lots of audio file and data formats
	o  Can store sounds in server for rapid replay
	o  Extensive mixing, separating, and manipulation of audio data
	o  Simultaneous use of audio devices by multiple applications
	o  Use by a growing number of ISVs
	o  Small size
	o  Free!  No obnoxious licensing terms

%package devel
Summary:        Development and doc files for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries
%description devel
%{summary}.


%prep
%setup -q 


%build
xmkmf
make %{?_smp_mflags} World


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man \
  BINDIR=%{_bindir} \
  INCROOT=%{_includedir} \
  LIBDIR=%{_libdir}/X11 \
  SHLIBDIR=%{_libdir} \
  USRLIBDIR=%{_libdir} \
  MANPATH=%{_mandir}

mv $RPM_BUILD_ROOT%{_sysconfdir}/nas/nasd.conf.eg $RPM_BUILD_ROOT%{_sysconfdir}/nas/nasd.conf
install -p -m755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/nasd
install -p -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/nasd


#remove static lib
rm $RPM_BUILD_ROOT%{_libdir}/lib*.a


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/chkconfig --add nasd

%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del nasd
  /sbin/service nasd stop >/dev/null 2>&1 ||:
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc BUGS FAQ HISTORY README TODO
%dir %{_sysconfdir}/nas/
%config(noreplace) %{_sysconfdir}/nas/nasd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/nasd
%{_initrddir}/nasd
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_libdir}/lib*.so.*
%{_libdir}/X11/AuErrorDB

%files devel
%defattr(-,root,root,-)
%{_includedir}/audio/
%{_libdir}/lib*.so
%{_mandir}/man3/*



%changelog 
* Fri Jul 7 2006  Frank Buttner <frank-buettner@gmx.net> - 1.8-2
- move libaudio.so.2 to main package
- switch package name from NAS to nas
- fix depend for devel package
- fix include
- add nas subdir in etc to main package
- set license to Distributable
- add readme file

* Fri Jul 7 2006 Frank Buttner  <rank-buettner@gmx.net>  1.8-1
- start
